Index: src/Actions/Makefile.am
===================================================================
--- src/Actions/Makefile.am	(revision 8006eed2788de714f5d76c85a5cb7d0c5891ef58)
+++ src/Actions/Makefile.am	(revision 994713afde7cd130d68e8417cfee8669e3d96182)
@@ -118,30 +118,46 @@
 SELECTIONACTIONSOURCE = \
 	SelectionAction/AllAtomsAction.cpp \
+	SelectionAction/AllAtomsInsideCuboidAction.cpp \
+	SelectionAction/AllAtomsInsideSphereAction.cpp \
 	SelectionAction/AllAtomsOfMoleculeAction.cpp \
 	SelectionAction/AllMoleculesAction.cpp \
+	SelectionAction/AtomByElementAction.cpp \
 	SelectionAction/AtomByIdAction.cpp \
 	SelectionAction/ClearAllAtomsAction.cpp \
 	SelectionAction/ClearAllMoleculesAction.cpp \
+	SelectionAction/MoleculeByFormulaAction.cpp \
 	SelectionAction/MoleculeByIdAction.cpp \
 	SelectionAction/MoleculeOfAtomAction.cpp \
 	SelectionAction/NotAllAtomsAction.cpp \
+	SelectionAction/NotAllAtomsInsideCuboidAction.cpp \
+	SelectionAction/NotAllAtomsInsideSphereAction.cpp \
 	SelectionAction/NotAllAtomsOfMoleculeAction.cpp \
 	SelectionAction/NotAllMoleculesAction.cpp \
+	SelectionAction/NotAtomByElementAction.cpp \
 	SelectionAction/NotAtomByIdAction.cpp \
+	SelectionAction/NotMoleculeByFormulaAction.cpp \
 	SelectionAction/NotMoleculeByIdAction.cpp \
 	SelectionAction/NotMoleculeOfAtomAction.cpp
 SELECTIONACTIONHEADER = \
 	SelectionAction/AllAtomsAction.hpp \
+	SelectionAction/AllAtomsInsideCuboidAction.hpp \
+	SelectionAction/AllAtomsInsideSphereAction.hpp \
 	SelectionAction/AllAtomsOfMoleculeAction.hpp \
 	SelectionAction/AllMoleculesAction.hpp \
+	SelectionAction/AtomByElementAction.hpp \
 	SelectionAction/AtomByIdAction.hpp \
 	SelectionAction/ClearAllAtomsAction.hpp \
 	SelectionAction/ClearAllMoleculesAction.hpp \
+	SelectionAction/MoleculeByFormulaAction.hpp \
 	SelectionAction/MoleculeByIdAction.hpp \
 	SelectionAction/MoleculeOfAtomAction.hpp \
 	SelectionAction/NotAllAtomsAction.hpp \
+	SelectionAction/NotAllAtomsInsideCuboidAction.hpp \
+	SelectionAction/NotAllAtomsInsideSphereAction.hpp \
 	SelectionAction/NotAllAtomsOfMoleculeAction.hpp \
 	SelectionAction/NotAllMoleculesAction.hpp \
+	SelectionAction/NotAtomByElementAction.hpp \
 	SelectionAction/NotAtomByIdAction.hpp \
+	SelectionAction/NotMoleculeByFormulaAction.hpp \
 	SelectionAction/NotMoleculeByIdAction.hpp \
 	SelectionAction/NotMoleculeOfAtomAction.cpp
@@ -162,5 +178,4 @@
   WorldAction/InputAction.cpp \
   WorldAction/OutputAction.cpp \
-  WorldAction/RemoveSphereOfAtomsAction.cpp \
   WorldAction/RepeatBoxAction.cpp \
   WorldAction/ScaleBoxAction.cpp \
@@ -176,5 +191,4 @@
   WorldAction/InputAction.hpp \
   WorldAction/OutputAction.hpp \
-  WorldAction/RemoveSphereOfAtomsAction.hpp \
   WorldAction/RepeatBoxAction.hpp \
   WorldAction/ScaleBoxAction.hpp \
Index: src/Actions/MakroAction.cpp
===================================================================
--- src/Actions/MakroAction.cpp	(revision 8006eed2788de714f5d76c85a5cb7d0c5891ef58)
+++ src/Actions/MakroAction.cpp	(revision 994713afde7cd130d68e8417cfee8669e3d96182)
@@ -1,2 +1,9 @@
+/*
+ * Project: MoleCuilder
+ * Description: creates and alters molecular systems
+ * Copyright (C)  2010 University of Bonn. All rights reserved.
+ * Please see the LICENSE file or "Copyright notice" in builder.cpp for details.
+ */
+
 /*
  * MakroAction.cpp
@@ -5,4 +12,9 @@
  *      Author: crueger
  */
+
+// include config.h
+#ifdef HAVE_CONFIG_H
+#include <config.h>
+#endif
 
 #include "Helpers/MemDebug.hpp"
Index: src/Actions/ManipulateAtomsProcess.cpp
===================================================================
--- src/Actions/ManipulateAtomsProcess.cpp	(revision 8006eed2788de714f5d76c85a5cb7d0c5891ef58)
+++ src/Actions/ManipulateAtomsProcess.cpp	(revision 994713afde7cd130d68e8417cfee8669e3d96182)
@@ -1,2 +1,9 @@
+/*
+ * Project: MoleCuilder
+ * Description: creates and alters molecular systems
+ * Copyright (C)  2010 University of Bonn. All rights reserved.
+ * Please see the LICENSE file or "Copyright notice" in builder.cpp for details.
+ */
+
 /*
  * ManipulateAtomsProcess.cpp
@@ -5,4 +12,9 @@
  *      Author: crueger
  */
+
+// include config.h
+#ifdef HAVE_CONFIG_H
+#include <config.h>
+#endif
 
 #include "Helpers/MemDebug.hpp"
Index: src/Actions/MapOfActions.cpp
===================================================================
--- src/Actions/MapOfActions.cpp	(revision 8006eed2788de714f5d76c85a5cb7d0c5891ef58)
+++ src/Actions/MapOfActions.cpp	(revision 994713afde7cd130d68e8417cfee8669e3d96182)
@@ -1,2 +1,9 @@
+/*
+ * Project: MoleCuilder
+ * Description: creates and alters molecular systems
+ * Copyright (C)  2010 University of Bonn. All rights reserved.
+ * Please see the LICENSE file or "Copyright notice" in builder.cpp for details.
+ */
+
 /*
  * MapOfActions.cpp
@@ -5,4 +12,9 @@
  *      Author: heber
  */
+
+// include config.h
+#ifdef HAVE_CONFIG_H
+#include <config.h>
+#endif
 
 #include "Helpers/MemDebug.hpp"
@@ -67,15 +79,23 @@
 #include "Actions/ParserAction/SaveXyzAction.hpp"
 #include "Actions/SelectionAction/AllAtomsAction.hpp"
+#include "Actions/SelectionAction/AllAtomsInsideCuboidAction.hpp"
+#include "Actions/SelectionAction/AllAtomsInsideSphereAction.hpp"
 #include "Actions/SelectionAction/AllAtomsOfMoleculeAction.hpp"
 #include "Actions/SelectionAction/AllMoleculesAction.hpp"
+#include "Actions/SelectionAction/AtomByElementAction.hpp"
 #include "Actions/SelectionAction/AtomByIdAction.hpp"
 #include "Actions/SelectionAction/ClearAllAtomsAction.hpp"
 #include "Actions/SelectionAction/ClearAllMoleculesAction.hpp"
+#include "Actions/SelectionAction/MoleculeByFormulaAction.hpp"
 #include "Actions/SelectionAction/MoleculeByIdAction.hpp"
 #include "Actions/SelectionAction/MoleculeOfAtomAction.hpp"
 #include "Actions/SelectionAction/NotAllAtomsAction.hpp"
+#include "Actions/SelectionAction/NotAllAtomsInsideCuboidAction.hpp"
+#include "Actions/SelectionAction/NotAllAtomsInsideSphereAction.hpp"
 #include "Actions/SelectionAction/NotAllAtomsOfMoleculeAction.hpp"
 #include "Actions/SelectionAction/NotAllMoleculesAction.hpp"
+#include "Actions/SelectionAction/NotAtomByElementAction.hpp"
 #include "Actions/SelectionAction/NotAtomByIdAction.hpp"
+#include "Actions/SelectionAction/NotMoleculeByFormulaAction.hpp"
 #include "Actions/SelectionAction/NotMoleculeByIdAction.hpp"
 #include "Actions/SelectionAction/NotMoleculeOfAtomAction.hpp"
@@ -89,5 +109,4 @@
 #include "Actions/WorldAction/InputAction.hpp"
 #include "Actions/WorldAction/OutputAction.hpp"
-#include "Actions/WorldAction/RemoveSphereOfAtomsAction.hpp"
 #include "Actions/WorldAction/RepeatBoxAction.hpp"
 #include "Actions/WorldAction/ScaleBoxAction.hpp"
@@ -212,5 +231,4 @@
   DescriptionMap["redo"] = "redo last action";
   DescriptionMap["remove-atom"] = "remove a specified atom";
-  DescriptionMap["remove-sphere"] = "remove sphere of atoms of around a specified atom";
   DescriptionMap["repeat-box"] = "create periodic copies of the simulation box per axis";
   DescriptionMap["rotate-origin"] = "rotate selected atoms by a specific angle around origin";
@@ -224,6 +242,10 @@
   DescriptionMap["select-all-atoms"] = "select all atoms";
   DescriptionMap["select-all-molecules"] = "select all molecules";
+  DescriptionMap["select-atom-by-element"] = "select an atom by element";
   DescriptionMap["select-atom-by-id"] = "select an atom by index";
+  DescriptionMap["select-atoms-inside-cuboid"] = "select all atoms inside a cuboid";
+  DescriptionMap["select-atoms-inside-sphere"] = "select all atoms inside a sphere";
   DescriptionMap["select-molecule-by-id"] = "select a molecule by index";
+  DescriptionMap["select-molecule-by-formula"] = "select a molecule by chemical formula";
   DescriptionMap["select-molecule-of-atom"] = "select a molecule to which a given atom belongs";
   DescriptionMap["select-molecules-atoms"] = "select all atoms of a molecule";
@@ -237,5 +259,9 @@
   DescriptionMap["unselect-all-atoms"] = "unselect all atoms";
   DescriptionMap["unselect-all-molecules"] = "unselect all molecules";
+  DescriptionMap["unselect-atom-by-element"] = "unselect an atom by element";
   DescriptionMap["unselect-atom-by-id"] = "unselect an atom by index";
+  DescriptionMap["unselect-atoms-inside-cuboid"] = "unselect all atoms inside a cuboid";
+  DescriptionMap["unselect-atoms-inside-sphere"] = "unselect all atoms inside a sphere";
+  DescriptionMap["unselect-molecule-by-formula"] = "unselect a molecule by chemical formula";
   DescriptionMap["unselect-molecule-by-id"] = "unselect a molecule by index";
   DescriptionMap["unselect-molecule-of-atom"] = "unselect a molecule to which a given atom belongs";
@@ -245,4 +271,7 @@
   DescriptionMap["version"] = "show version";
   // keys for values
+  DescriptionMap["angle-x"] = "angle of a rotation around x axis";
+  DescriptionMap["angle-y"] = "angle of a rotation around y axis";
+  DescriptionMap["angle-z"] = "angle of a rotation around z axis";
   DescriptionMap["bin-output-file"] = "name of the bin output file";
   DescriptionMap["bin-end"] = "start of the last bin";
@@ -293,5 +322,4 @@
   ShortFormMap["parse-xyz"] = "p";
   ShortFormMap["remove-atom"] = "r";
-  ShortFormMap["remove-sphere"] = "R";
   ShortFormMap["repeat-box"] = "d";
   ShortFormMap["rotate-to-pas"] = "m";
@@ -310,5 +338,5 @@
 
   // value types for the actions
-  TypeMap["add-atom"] = &typeid(element);
+  TypeMap["add-atom"] = &typeid(const element);
   TypeMap["bond-file"] = &typeid(std::string);
   TypeMap["bond-table"] = &typeid(std::string);
@@ -316,5 +344,5 @@
   TypeMap["center-in-box"] = &typeid(BoxValue);
   TypeMap["change-box"] = &typeid(BoxValue);
-  TypeMap["change-element"] = &typeid(element);
+  TypeMap["change-element"] = &typeid(const element);
   TypeMap["change-molname"] = &typeid(std::string);
   TypeMap["clear-atom-selection"] = &typeid(void);
@@ -338,5 +366,4 @@
   TypeMap["redo"] = &typeid(void);
   TypeMap["remove-atom"] = &typeid(void);
-  TypeMap["remove-sphere"] = &typeid(double);
   TypeMap["repeat-box"] = &typeid(VectorValue);
   TypeMap["rotate-origin"] = &typeid(double);
@@ -349,5 +376,9 @@
   TypeMap["select-all-atoms"] = &typeid(void);
   TypeMap["select-all-molecules"] = &typeid(void);
+  TypeMap["select-atom-by-element"] = &typeid(const element);
   TypeMap["select-atom-by-id"] = &typeid(atom);
+  TypeMap["select-atoms-inside-cuboid"] = &typeid(VectorValue);
+  TypeMap["select-atoms-inside-sphere"] = &typeid(double);
+  TypeMap["select-molecule-by-formula"] = &typeid(std::string);
   TypeMap["select-molecule-by-id"] = &typeid(molecule);
   TypeMap["select-molecule-of-atom"] = &typeid(atom);
@@ -362,5 +393,9 @@
   TypeMap["unselect-all-atoms"] = &typeid(void);
   TypeMap["unselect-all-molecules"] = &typeid(void);
+  TypeMap["unselect-atom-by-element"] = &typeid(const element);
   TypeMap["unselect-atom-by-id"] = &typeid(atom);
+  TypeMap["unselect-atoms-inside-cuboid"] = &typeid(VectorValue);
+  TypeMap["unselect-atoms-inside-sphere"] = &typeid(double);
+  TypeMap["unselect-molecule-by-formula"] = &typeid(std::string);
   TypeMap["unselect-molecule-by-id"] = &typeid(molecule);
   TypeMap["unselect-molecule-of-atom"] = &typeid(atom);
@@ -370,4 +405,7 @@
 
   // value types for the values
+  TypeMap["angle-x"] = &typeid(double);
+  TypeMap["angle-y"] = &typeid(double);
+  TypeMap["angle-z"] = &typeid(double);
   TypeMap["bin-output-file"] = &typeid(std::string);
   TypeMap["bin-end"] = &typeid(double);
@@ -378,6 +416,6 @@
   TypeMap["distances"] = &typeid(VectorValue);
   TypeMap["DoRotate"] = &typeid(bool);
-  TypeMap["element"] = &typeid(element);
-  TypeMap["elements"] = &typeid(std::vector<element *>);
+  TypeMap["element"] = &typeid(const element);
+  TypeMap["elements"] = &typeid(std::vector<const element *>);
   TypeMap["end-step"] = &typeid(int);
   TypeMap["id-mapping"] = &typeid(bool);
@@ -408,6 +446,6 @@
   TypeEnumMap[&typeid(atom)] = Atom;
   TypeEnumMap[&typeid(std::vector<atom *>)] = ListOfAtoms;
-  TypeEnumMap[&typeid(element)] = Element;
-  TypeEnumMap[&typeid(std::vector<element *>)] = ListOfElements;
+  TypeEnumMap[&typeid(const element)] = Element;
+  TypeEnumMap[&typeid(std::vector<const element *>)] = ListOfElements;
 
   // default values for any action that needs one (always string!)
@@ -468,11 +506,19 @@
   MenuContainsActionMap.insert( pair<std::string, std::string> ("selection", "select-all-atoms") );
   MenuContainsActionMap.insert( pair<std::string, std::string> ("selection", "select-all-molecules") );
+  MenuContainsActionMap.insert( pair<std::string, std::string> ("selection", "select-atom-by-element") );
   MenuContainsActionMap.insert( pair<std::string, std::string> ("selection", "select-atom-by-id") );
+  MenuContainsActionMap.insert( pair<std::string, std::string> ("selection", "select-atoms-inside-cuboid") );
+  MenuContainsActionMap.insert( pair<std::string, std::string> ("selection", "select-atoms-inside-sphere") );
   MenuContainsActionMap.insert( pair<std::string, std::string> ("selection", "select-molecule-by-id") );
+  MenuContainsActionMap.insert( pair<std::string, std::string> ("selection", "select-molecule-by-formula") );
   MenuContainsActionMap.insert( pair<std::string, std::string> ("selection", "select-molecule-of-atom") );
   MenuContainsActionMap.insert( pair<std::string, std::string> ("selection", "select-molecules-atoms") );
   MenuContainsActionMap.insert( pair<std::string, std::string> ("selection", "unselect-all-atoms") );
   MenuContainsActionMap.insert( pair<std::string, std::string> ("selection", "unselect-all-molecules") );
+  MenuContainsActionMap.insert( pair<std::string, std::string> ("selection", "unselect-atom-by-element") );
   MenuContainsActionMap.insert( pair<std::string, std::string> ("selection", "unselect-atom-by-id") );
+  MenuContainsActionMap.insert( pair<std::string, std::string> ("selection", "unselect-atoms-inside-cuboid") );
+  MenuContainsActionMap.insert( pair<std::string, std::string> ("selection", "unselect-atoms-inside-sphere") );
+  MenuContainsActionMap.insert( pair<std::string, std::string> ("selection", "unselect-molecule-by-formula") );
   MenuContainsActionMap.insert( pair<std::string, std::string> ("selection", "unselect-molecule-by-id") );
   MenuContainsActionMap.insert( pair<std::string, std::string> ("selection", "unselect-molecule-of-atom") );
@@ -489,5 +535,4 @@
   MenuContainsActionMap.insert( pair<std::string, std::string> ("world", "input") );
   MenuContainsActionMap.insert( pair<std::string, std::string> ("world", "output") );
-  MenuContainsActionMap.insert( pair<std::string, std::string> ("world", "remove-sphere") );
   MenuContainsActionMap.insert( pair<std::string, std::string> ("world", "repeat-box") );
   MenuContainsActionMap.insert( pair<std::string, std::string> ("world", "scale-box") );
@@ -528,5 +573,4 @@
   generic.insert("redo");
   generic.insert("remove-atom");
-  generic.insert("remove-sphere");
   generic.insert("repeat-box");
   generic.insert("rotate-origin");
@@ -539,6 +583,10 @@
   generic.insert("select-all-atoms");
   generic.insert("select-all-molecules");
+  generic.insert("select-atom-by-element");
   generic.insert("select-atom-by-id");
+  generic.insert("select-atoms-inside-cuboid");
+  generic.insert("select-atoms-inside-sphere");
   generic.insert("select-molecule-by-id");
+  generic.insert("select-molecule-by-formula");
   generic.insert("select-molecule-of-atom");
   generic.insert("select-molecules-atoms");
@@ -552,5 +600,9 @@
   generic.insert("unselect-all-atoms");
   generic.insert("unselect-all-molecules");
+  generic.insert("unselect-atom-by-element");
   generic.insert("unselect-atom-by-id");
+  generic.insert("unselect-atoms-inside-cuboid");
+  generic.insert("unselect-atoms-inside-sphere");
+  generic.insert("unselect-molecule-by-formula");
   generic.insert("unselect-molecule-by-id");
   generic.insert("unselect-molecule-of-atom");
@@ -564,4 +616,7 @@
 
     // hidden arguments
+  hidden.insert("angle-x");
+  hidden.insert("angle-y");
+  hidden.insert("angle-z");
   hidden.insert("bin-end");
   hidden.insert("bin-output-file");
@@ -595,4 +650,9 @@
 }
 
+bool MapOfActions::isCurrentValuePresent(const char *name) const
+{
+  return (CurrentValue.find(name) != CurrentValue.end());
+}
+
 void MapOfActions::queryCurrentValue(const char * name, class atom * &_T)
 {
@@ -608,7 +668,7 @@
 }
 
-void MapOfActions::queryCurrentValue(const char * name, class element * &_T)  {
+void MapOfActions::queryCurrentValue(const char * name, const element * &_T)  {
   int Z = -1;
-  if (typeid( element ) == *TypeMap[name]) {
+  if (typeid(const element ) == *TypeMap[name]) {
     if (CurrentValue.find(name) == CurrentValue.end())
       throw MissingValueException(__FILE__, __LINE__);
@@ -692,9 +752,9 @@
 }
 
-void MapOfActions::queryCurrentValue(const char * name, std::vector<element *>&_T)
+void MapOfActions::queryCurrentValue(const char * name, std::vector<const element *>&_T)
 {
   int Z = -1;
-  element *elemental = NULL;
-  if (typeid( std::vector<element *> ) == *TypeMap[name]) {
+  const element *elemental = NULL;
+  if (typeid( std::vector<const element *> ) == *TypeMap[name]) {
     if (CurrentValue.find(name) == CurrentValue.end())
       throw MissingValueException(__FILE__, __LINE__);
@@ -744,9 +804,9 @@
 }
 
-void MapOfActions::setCurrentValue(const char * name, class element * &_T)
-{
-  if (typeid( element ) == *TypeMap[name]) {
+void MapOfActions::setCurrentValue(const char * name, const element * &_T)
+{
+  if (typeid(const element ) == *TypeMap[name]) {
     std::ostringstream stream;
-    stream << _T->Z;
+    stream << _T->getAtomicNumber();
     CurrentValue[name] = stream.str();
   } else
@@ -804,10 +864,10 @@
 }
 
-void MapOfActions::setCurrentValue(const char * name, std::vector<element *>&_T)
-{
-  if (typeid( std::vector<element *> ) == *TypeMap[name]) {
+void MapOfActions::setCurrentValue(const char * name, std::vector<const element *>&_T)
+{
+  if (typeid( std::vector<const element *> ) == *TypeMap[name]) {
     std::ostringstream stream;
-    for (std::vector<element *>::iterator iter = _T.begin(); iter != _T.end(); ++iter) {
-      stream << (*iter)->Z << " ";
+    for (std::vector<const element *>::iterator iter = _T.begin(); iter != _T.end(); ++iter) {
+      stream << (*iter)->getAtomicNumber() << " ";
     }
     CurrentValue[name] = stream.str();
@@ -873,13 +933,21 @@
   new SelectionClearAllMoleculesAction();
   new SelectionAllAtomsAction();
+  new SelectionAllAtomsInsideCuboidAction();
+  new SelectionAllAtomsInsideSphereAction();
   new SelectionAllAtomsOfMoleculeAction();
   new SelectionAllMoleculesAction();
+  new SelectionAtomByElementAction();
   new SelectionAtomByIdAction();
   new SelectionMoleculeByIdAction();
+  new SelectionMoleculeByFormulaAction();
   new SelectionMoleculeOfAtomAction();
   new SelectionNotAllAtomsAction();
+  new SelectionNotAllAtomsInsideCuboidAction();
+  new SelectionNotAllAtomsInsideSphereAction();
   new SelectionNotAllAtomsOfMoleculeAction();
   new SelectionNotAllMoleculesAction();
+  new SelectionNotAtomByElementAction();
   new SelectionNotAtomByIdAction();
+  new SelectionNotMoleculeByFormulaAction();
   new SelectionNotMoleculeByIdAction();
   new SelectionNotMoleculeOfAtomAction();
@@ -895,5 +963,4 @@
   new WorldInputAction();
   new WorldOutputAction();
-  new WorldRemoveSphereOfAtomsAction();
   new WorldRepeatBoxAction();
   new WorldScaleBoxAction();
Index: src/Actions/MapOfActions.hpp
===================================================================
--- src/Actions/MapOfActions.hpp	(revision 8006eed2788de714f5d76c85a5cb7d0c5891ef58)
+++ src/Actions/MapOfActions.hpp	(revision 994713afde7cd130d68e8417cfee8669e3d96182)
@@ -163,11 +163,12 @@
   void populateActions();
 
+  bool isCurrentValuePresent(const char *name) const;
   void queryCurrentValue(const char * name, class atom * &_T);
-  void queryCurrentValue(const char * name, class element * &_T);
+  void queryCurrentValue(const char * name, const element * &_T);
   void queryCurrentValue(const char * name, class molecule * &_T);
   void queryCurrentValue(const char * name, class Box &_T);
   void queryCurrentValue(const char * name, class Vector &_T);
   void queryCurrentValue(const char * name, std::vector<atom *>&_T);
-  void queryCurrentValue(const char * name, std::vector<element *>&_T);
+  void queryCurrentValue(const char * name, std::vector<const element *>&_T);
   void queryCurrentValue(const char * name, std::vector<molecule *>&_T);
   template<typename T> void queryCurrentValue(const char * name, T &_T)
@@ -198,10 +199,10 @@
 
   void setCurrentValue(const char * name, class atom * &_T);
-  void setCurrentValue(const char * name, class element * &_T);
+  void setCurrentValue(const char * name, const element * &_T);
   void setCurrentValue(const char * name, class molecule * &_T);
   void setCurrentValue(const char * name, class Box &_T);
   void setCurrentValue(const char * name, class Vector &_T);
   void setCurrentValue(const char * name, std::vector<atom *>&_T);
-  void setCurrentValue(const char * name, std::vector<element *>&_T);
+  void setCurrentValue(const char * name, std::vector<const element *>&_T);
   void setCurrentValue(const char * name, std::vector<molecule *>&_T);
   template<class T> void setCurrentValue(const char * name, T &_T)
Index: src/Actions/MethodAction.cpp
===================================================================
--- src/Actions/MethodAction.cpp	(revision 8006eed2788de714f5d76c85a5cb7d0c5891ef58)
+++ src/Actions/MethodAction.cpp	(revision 994713afde7cd130d68e8417cfee8669e3d96182)
@@ -1,2 +1,9 @@
+/*
+ * Project: MoleCuilder
+ * Description: creates and alters molecular systems
+ * Copyright (C)  2010 University of Bonn. All rights reserved.
+ * Please see the LICENSE file or "Copyright notice" in builder.cpp for details.
+ */
+
 /*
  * MethodAction.cpp
@@ -5,4 +12,9 @@
  *      Author: crueger
  */
+
+// include config.h
+#ifdef HAVE_CONFIG_H
+#include <config.h>
+#endif
 
 #include "Helpers/MemDebug.hpp"
Index: src/Actions/MoleculeAction/BondFileAction.cpp
===================================================================
--- src/Actions/MoleculeAction/BondFileAction.cpp	(revision 8006eed2788de714f5d76c85a5cb7d0c5891ef58)
+++ src/Actions/MoleculeAction/BondFileAction.cpp	(revision 994713afde7cd130d68e8417cfee8669e3d96182)
@@ -1,2 +1,9 @@
+/*
+ * Project: MoleCuilder
+ * Description: creates and alters molecular systems
+ * Copyright (C)  2010 University of Bonn. All rights reserved.
+ * Please see the LICENSE file or "Copyright notice" in builder.cpp for details.
+ */
+
 /*
  * BondFileAction.cpp
@@ -5,4 +12,9 @@
  *      Author: heber
  */
+
+// include config.h
+#ifdef HAVE_CONFIG_H
+#include <config.h>
+#endif
 
 #include "Helpers/MemDebug.hpp"
Index: src/Actions/MoleculeAction/ChangeNameAction.cpp
===================================================================
--- src/Actions/MoleculeAction/ChangeNameAction.cpp	(revision 8006eed2788de714f5d76c85a5cb7d0c5891ef58)
+++ src/Actions/MoleculeAction/ChangeNameAction.cpp	(revision 994713afde7cd130d68e8417cfee8669e3d96182)
@@ -1,2 +1,9 @@
+/*
+ * Project: MoleCuilder
+ * Description: creates and alters molecular systems
+ * Copyright (C)  2010 University of Bonn. All rights reserved.
+ * Please see the LICENSE file or "Copyright notice" in builder.cpp for details.
+ */
+
 /*
  * ChangeNameAction.cpp
@@ -5,4 +12,9 @@
  *      Author: crueger
  */
+
+// include config.h
+#ifdef HAVE_CONFIG_H
+#include <config.h>
+#endif
 
 #include "Helpers/MemDebug.hpp"
Index: src/Actions/MoleculeAction/FillWithMoleculeAction.cpp
===================================================================
--- src/Actions/MoleculeAction/FillWithMoleculeAction.cpp	(revision 8006eed2788de714f5d76c85a5cb7d0c5891ef58)
+++ src/Actions/MoleculeAction/FillWithMoleculeAction.cpp	(revision 994713afde7cd130d68e8417cfee8669e3d96182)
@@ -1,2 +1,9 @@
+/*
+ * Project: MoleCuilder
+ * Description: creates and alters molecular systems
+ * Copyright (C)  2010 University of Bonn. All rights reserved.
+ * Please see the LICENSE file or "Copyright notice" in builder.cpp for details.
+ */
+
 /*
  * FillWithMoleculeAction.cpp
@@ -5,4 +12,9 @@
  *      Author: heber
  */
+
+// include config.h
+#ifdef HAVE_CONFIG_H
+#include <config.h>
+#endif
 
 #include "Helpers/MemDebug.hpp"
Index: src/Actions/MoleculeAction/LinearInterpolationofTrajectoriesAction.cpp
===================================================================
--- src/Actions/MoleculeAction/LinearInterpolationofTrajectoriesAction.cpp	(revision 8006eed2788de714f5d76c85a5cb7d0c5891ef58)
+++ src/Actions/MoleculeAction/LinearInterpolationofTrajectoriesAction.cpp	(revision 994713afde7cd130d68e8417cfee8669e3d96182)
@@ -1,2 +1,9 @@
+/*
+ * Project: MoleCuilder
+ * Description: creates and alters molecular systems
+ * Copyright (C)  2010 University of Bonn. All rights reserved.
+ * Please see the LICENSE file or "Copyright notice" in builder.cpp for details.
+ */
+
 /*
  * LinearInterpolationofTrajectoriesAction.cpp
@@ -5,4 +12,9 @@
  *      Author: heber
  */
+
+// include config.h
+#ifdef HAVE_CONFIG_H
+#include <config.h>
+#endif
 
 #include "Helpers/MemDebug.hpp"
Index: src/Actions/MoleculeAction/RotateAroundSelfByAngleAction.cpp
===================================================================
--- src/Actions/MoleculeAction/RotateAroundSelfByAngleAction.cpp	(revision 8006eed2788de714f5d76c85a5cb7d0c5891ef58)
+++ src/Actions/MoleculeAction/RotateAroundSelfByAngleAction.cpp	(revision 994713afde7cd130d68e8417cfee8669e3d96182)
@@ -1,2 +1,9 @@
+/*
+ * Project: MoleCuilder
+ * Description: creates and alters molecular systems
+ * Copyright (C)  2010 University of Bonn. All rights reserved.
+ * Please see the LICENSE file or "Copyright notice" in builder.cpp for details.
+ */
+
 /*
  * RotateAroundSelfByAngleAction.cpp
@@ -5,4 +12,9 @@
  *      Author: heber
  */
+
+// include config.h
+#ifdef HAVE_CONFIG_H
+#include <config.h>
+#endif
 
 #include "Helpers/MemDebug.hpp"
Index: src/Actions/MoleculeAction/RotateToPrincipalAxisSystemAction.cpp
===================================================================
--- src/Actions/MoleculeAction/RotateToPrincipalAxisSystemAction.cpp	(revision 8006eed2788de714f5d76c85a5cb7d0c5891ef58)
+++ src/Actions/MoleculeAction/RotateToPrincipalAxisSystemAction.cpp	(revision 994713afde7cd130d68e8417cfee8669e3d96182)
@@ -1,2 +1,9 @@
+/*
+ * Project: MoleCuilder
+ * Description: creates and alters molecular systems
+ * Copyright (C)  2010 University of Bonn. All rights reserved.
+ * Please see the LICENSE file or "Copyright notice" in builder.cpp for details.
+ */
+
 /*
  * RotateToPrincipalAxisSystemAction.cpp
@@ -5,4 +12,9 @@
  *      Author: heber
  */
+
+// include config.h
+#ifdef HAVE_CONFIG_H
+#include <config.h>
+#endif
 
 #include "Helpers/MemDebug.hpp"
@@ -85,5 +97,5 @@
       Vector x = (*iter)->getPosition();
       x -= *CenterOfGravity;
-      const double mass = (*iter)->getType()->mass;
+      const double mass = (*iter)->getType()->getMass();
       InertiaTensor.at(0,0) += mass*(x[1]*x[1] + x[2]*x[2]);
       InertiaTensor.at(0,1) += mass*(-x[0]*x[1]);
@@ -136,5 +148,5 @@
       Vector x = (*iter)->getPosition();
       x -= *CenterOfGravity;
-      const double mass = (*iter)->getType()->mass;
+      const double mass = (*iter)->getType()->getMass();
       InertiaTensor.at(0,0) += mass*(x[1]*x[1] + x[2]*x[2]);
       InertiaTensor.at(0,1) += mass*(-x[0]*x[1]);
Index: src/Actions/MoleculeAction/SaveAdjacencyAction.cpp
===================================================================
--- src/Actions/MoleculeAction/SaveAdjacencyAction.cpp	(revision 8006eed2788de714f5d76c85a5cb7d0c5891ef58)
+++ src/Actions/MoleculeAction/SaveAdjacencyAction.cpp	(revision 994713afde7cd130d68e8417cfee8669e3d96182)
@@ -1,2 +1,9 @@
+/*
+ * Project: MoleCuilder
+ * Description: creates and alters molecular systems
+ * Copyright (C)  2010 University of Bonn. All rights reserved.
+ * Please see the LICENSE file or "Copyright notice" in builder.cpp for details.
+ */
+
 /*
  * SaveAdjacencyAction.cpp
@@ -5,4 +12,9 @@
  *      Author: heber
  */
+
+// include config.h
+#ifdef HAVE_CONFIG_H
+#include <config.h>
+#endif
 
 #include "Helpers/MemDebug.hpp"
Index: src/Actions/MoleculeAction/SaveBondsAction.cpp
===================================================================
--- src/Actions/MoleculeAction/SaveBondsAction.cpp	(revision 8006eed2788de714f5d76c85a5cb7d0c5891ef58)
+++ src/Actions/MoleculeAction/SaveBondsAction.cpp	(revision 994713afde7cd130d68e8417cfee8669e3d96182)
@@ -1,2 +1,9 @@
+/*
+ * Project: MoleCuilder
+ * Description: creates and alters molecular systems
+ * Copyright (C)  2010 University of Bonn. All rights reserved.
+ * Please see the LICENSE file or "Copyright notice" in builder.cpp for details.
+ */
+
 /*
  * SaveBondsAction.cpp
@@ -5,4 +12,9 @@
  *      Author: heber
  */
+
+// include config.h
+#ifdef HAVE_CONFIG_H
+#include <config.h>
+#endif
 
 #include "Helpers/MemDebug.hpp"
Index: src/Actions/MoleculeAction/SaveTemperatureAction.cpp
===================================================================
--- src/Actions/MoleculeAction/SaveTemperatureAction.cpp	(revision 8006eed2788de714f5d76c85a5cb7d0c5891ef58)
+++ src/Actions/MoleculeAction/SaveTemperatureAction.cpp	(revision 994713afde7cd130d68e8417cfee8669e3d96182)
@@ -1,2 +1,9 @@
+/*
+ * Project: MoleCuilder
+ * Description: creates and alters molecular systems
+ * Copyright (C)  2010 University of Bonn. All rights reserved.
+ * Please see the LICENSE file or "Copyright notice" in builder.cpp for details.
+ */
+
 /*
  * SaveTemperatureAction.cpp
@@ -5,4 +12,9 @@
  *      Author: heber
  */
+
+// include config.h
+#ifdef HAVE_CONFIG_H
+#include <config.h>
+#endif
 
 #include "Helpers/MemDebug.hpp"
Index: src/Actions/MoleculeAction/SuspendInWaterAction.cpp
===================================================================
--- src/Actions/MoleculeAction/SuspendInWaterAction.cpp	(revision 8006eed2788de714f5d76c85a5cb7d0c5891ef58)
+++ src/Actions/MoleculeAction/SuspendInWaterAction.cpp	(revision 994713afde7cd130d68e8417cfee8669e3d96182)
@@ -1,2 +1,9 @@
+/*
+ * Project: MoleCuilder
+ * Description: creates and alters molecular systems
+ * Copyright (C)  2010 University of Bonn. All rights reserved.
+ * Please see the LICENSE file or "Copyright notice" in builder.cpp for details.
+ */
+
 /*
  * SuspendInWaterAction.cpp
@@ -5,4 +12,9 @@
  *      Author: heber
  */
+
+// include config.h
+#ifdef HAVE_CONFIG_H
+#include <config.h>
+#endif
 
 #include "Helpers/MemDebug.hpp"
Index: src/Actions/MoleculeAction/VerletIntegrationAction.cpp
===================================================================
--- src/Actions/MoleculeAction/VerletIntegrationAction.cpp	(revision 8006eed2788de714f5d76c85a5cb7d0c5891ef58)
+++ src/Actions/MoleculeAction/VerletIntegrationAction.cpp	(revision 994713afde7cd130d68e8417cfee8669e3d96182)
@@ -1,2 +1,9 @@
+/*
+ * Project: MoleCuilder
+ * Description: creates and alters molecular systems
+ * Copyright (C)  2010 University of Bonn. All rights reserved.
+ * Please see the LICENSE file or "Copyright notice" in builder.cpp for details.
+ */
+
 /*
  * VerletIntegrationAction.cpp
@@ -5,4 +12,9 @@
  *      Author: heber
  */
+
+// include config.h
+#ifdef HAVE_CONFIG_H
+#include <config.h>
+#endif
 
 #include "Helpers/MemDebug.hpp"
